| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# iutil/selfdestruct.h File Reference

Self destruction interface. More...

`#include "csutil/scf_interface.h"`

Go to the source code of this file.

## Classes
struct | iSelfDestruct
| An object implementing this interface can remove itself from its 'natural parent'. More...

## Detailed Description

Self destruction interface.

Definition in file selfdestruct.h.